Path parameters
-
Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.
Body
Required
-
A description of the job.
-
The approximate maximum amount of memory resources that are permitted for analytical processing. If your
elasticsearch.ymlfile contains anxpack.ml.max_model_memory_limitsetting, an error occurs when you try to create data frame analytics jobs that havemodel_memory_limitvalues greater than that setting.Default value is
1gb. -
The maximum number of threads to be used by the analysis. Using more threads may decrease the time necessary to complete the analysis at the cost of using more CPU. Note that the process may use additional threads for operational functionality other than the analysis itself.
Default value is
1. -
Specifies whether this job can start when there is insufficient machine learning node capacity for it to be immediately assigned to a node.
Default value is
false.
POST _ml/data_frame/analytics/loganalytics/_update
{
"model_memory_limit": "200mb"
}
resp = client.ml.update_data_frame_analytics(
id="loganalytics",
model_memory_limit="200mb",
)
const response = await client.ml.updateDataFrameAnalytics({
id: "loganalytics",
model_memory_limit: "200mb",
});
response = client.ml.update_data_frame_analytics(
id: "loganalytics",
body: {
"model_memory_limit": "200mb"
}
)
$resp = $client->ml()->updateDataFrameAnalytics([
"id" => "loganalytics",
"body" => [
"model_memory_limit" => "200mb",
],
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" -H "Content-Type: application/json" -d '{"model_memory_limit":"200mb"}' "$ELASTICSEARCH_URL/_ml/data_frame/analytics/loganalytics/_update"
client.ml().updateDataFrameAnalytics(u -> u
.id("loganalytics")
.modelMemoryLimit("200mb")
);
{
"model_memory_limit": "200mb"
}